<template>
  <div class="app-menu min-vh-100">
    <b-img src="../assets/user.png" width="100%" class="pt-2 pb-2"></b-img>
    <b-nav vertical>
      <b-nav-item to="/">Home</b-nav-item>
      <b-nav-item to="/about">About</b-nav-item>
      <b-nav-item @click="showFormInput = !showFormInput"
        >Form Input
        <b-icon :icon="showFormInput ? 'caret-down-fill' : 'caret-right-fill'">
        </b-icon
      ></b-nav-item>
      <b-nav-item class="sub-menu" v-if="showFormInput" to="formInput1"
        >Form Input1</b-nav-item
      >
      <b-nav-item class="sub-menu" v-if="showFormInput" to="formInput2"
        >Form Input2</b-nav-item
      >
      <b-nav-item class="sub-menu" v-if="showFormInput" to="formInput3"
        >Form Input3</b-nav-item
      >
      <b-nav-item @click="showForm = !showForm"
        >Form
        <b-icon :icon="showForm ? 'caret-down-fill' : 'caret-right-fill'">
        </b-icon
      ></b-nav-item>
      <b-nav-item class="sub-menu" v-if="showForm" to="form1">Form1</b-nav-item>
      <b-nav-item class="sub-menu" v-if="showForm" to="form2">Form2</b-nav-item>
      <b-nav-item class="sub-menu" v-if="showForm" to="form3">Form3</b-nav-item>
      <b-nav-item class="sub-menu" v-if="showForm" to="form4">Form4</b-nav-item>

      <b-nav-item @click="showCRUDExample = !showCRUDExample"
        >CRUD Example
        <b-icon :icon="showCRUDExample ? 'caret-down-fill' : 'caret-right-fill'">
        </b-icon
      ></b-nav-item>
      <b-nav-item class="sub-menu" v-if="showCRUDExample" to="datatable1">Data table 1</b-nav-item>
      <b-nav-item class="sub-menu" v-if="showCRUDExample" to="productform1">Product Form 1</b-nav-item>
      <b-nav-item class="sub-menu" v-if="showCRUDExample" to="productTable">Product Table</b-nav-item>
      <b-nav-item class="sub-menu" v-if="showCRUDExample" to="form4">Form4</b-nav-item>
    </b-nav>
  </div>
</template>
<script>
export default {
  data () {
    return {
      showFormInput: false,
      showForm: false,
      showCRUDExample: false
    }
  }
}
</script>
<style>
.app-menu {
  background-color: rgb(177, 233, 242);
  font-size: 12pt;
}
.nav-link {
  color: rgb(30, 103, 158);
  text-align: left;
}
.nav-link:hover {
  color: rgb(255, 255, 255);
}
.sub-menu {
  padding-left: 10pt;
  font-size: 10pt;
}
</style>
